Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# AnyTypeCode_methods.h File Reference

`#include "tao/AnyTypeCode/TAO_AnyTypeCode_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/orbconf.h"`

Include dependency graph for AnyTypeCode_methods.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Defines
#define | TAO_EXPORT_MACRO TAO_AnyTypeCode_Export
## Functions
TAO_NAMESPACE_INLINE_FUNCTION void | release (NamedValue_ptr)
TAO_NAMESPACE_INLINE_FUNCTION Boolean | is_nil (NamedValue_ptr)
TAO_NAMESPACE_INLINE_FUNCTION void | release (NVList_ptr)
TAO_NAMESPACE_INLINE_FUNCTION Boolean | is_nil (NVList_ptr)
TAO_NAMESPACE_INLINE_FUNCTION Boolean | is_nil (TypeCode_ptr)
TAO_NAMESPACE_INLINE_FUNCTION void | release (TypeCode_ptr)

## Detailed Description

Id
  AnyTypeCode_methods.h,v 1.4 2005/11/03 17:38:44 ossama Exp

Declarations of NamedValue and NVlist methods in the CORBA namespace.

Author:
  Jeff Parsons <j.parsons@vanderbilt.edu>

## Define Documentation

#define TAO_EXPORT_MACRO TAO_AnyTypeCode_Export

## Function Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::Boolean CORBA::is_nil | ( | TypeCode_ptr |  | ) |

ACE_INLINE CORBA::Boolean CORBA::is_nil | ( | NVList_ptr |  | ) |

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::Boolean CORBA::is_nil | ( | NamedValue_ptr |  | ) |

ACE_INLINE void CORBA::release | ( | TypeCode_ptr |  | ) |

ACE_INLINE void CORBA::release | ( | NVList_ptr |  | ) |

ACE_INLINE void CORBA::release | ( | NamedValue_ptr |  | ) |